*     G05ECF Example Program Text
*     Mark 20 Revised. NAG Copyright 2001.
*     .. Parameters ..
      DOUBLE PRECISION T
      INTEGER          NR
      PARAMETER        (T=2.7D0,NR=30)
      INTEGER          NOUT
      PARAMETER        (NOUT=6)
*     .. Local Scalars ..
      INTEGER          I, IFAIL, IX
*     .. Local Arrays ..
      DOUBLE PRECISION R(NR)
*     .. External Functions ..
      INTEGER          G05EYF
      EXTERNAL         G05EYF
*     .. External Subroutines ..
      EXTERNAL         G05CBF, G05ECF, G05ZAF
*     .. Executable Statements ..
      CALL G05ZAF('O')
      WRITE (NOUT,*) 'G05ECF Example Program Results'
      WRITE (NOUT,*)
      CALL G05CBF(0)
      IFAIL = 0
*
      CALL G05ECF(T,R,NR,IFAIL)
*
      DO 20 I = 1, 5
         IX = G05EYF(R,30)
         WRITE (NOUT,99999) IX
   20 CONTINUE
      STOP
*
99999 FORMAT (1X,I5)
      END
